"use strict";

this.name    = "Selectable Crosshairs";
this.version = "1.0";

/* ====================================================================================
			SELECT NEW CROSS-HAIR WHEN EQUIPMENT IS ACTIVATED
======================================================================================= */

this.activated = function()
	{
	missionVariables.crosshairs_selection += 1;
	if (missionVariables.crosshairs_selection > 7) // Change this line if more crosshair files are added.
		{
		missionVariables.crosshairs_selection = 1;
		}
	player.ship.crosshairs = "crosshairs-selection-" + missionVariables.crosshairs_selection + ".plist";
	}

this.mode = function()
	{
	missionVariables.crosshairs_selection -= 1;
	if (missionVariables.crosshairs_selection < 1)
		{
		missionVariables.crosshairs_selection = 7; // Change this line if more crosshair files are added.
		}
	player.ship.crosshairs = "crosshairs-selection-" + missionVariables.crosshairs_selection + ".plist";
	}

/* ====================================================================================
			COPYRIGHT NOTICE

	(C)2013, Wildeblood. All rights reserved. 
	Free to use, but DO NOT PROMULGATE MODIFIED VERSIONS.

This was created by some fellow with the user name "Wildeblood" on the Oolite forums, 
he'll tell you his real name if you bother to ask.
To use means to play with, modify or re-use in whole or in part, and to distribute freely.
To use DOES NOT imply to use for commercial gain, which would be a breach of copyright.
To promulgate means to make official announcements.
======================================================================================= */