"use strict";

this.name    = "Select-o-matic Crosshairs";
this.version = "1.0.1";

/* ====================================================================================
			AWARD EQUIPMENT AT START-UP
======================================================================================= */

this.startUpComplete = function()
	{
	if (player.ship.equipmentStatus("EQ_SELECTABLE_CROSSHAIRS") !== "EQUIPMENT_OK")
		{
		player.ship.awardEquipment("EQ_SELECTABLE_CROSSHAIRS");
		player.consoleMessage("Selectable cross-hairs installed.", 10);
		}
	if (!missionVariables.crosshairs_selection)
		{
		missionVariables.crosshairs_selection = 1;
		}
	player.ship.crosshairs = "crosshairs-selection-" + missionVariables.crosshairs_selection + ".plist";
	delete this.startUpComplete;
	}

// Work-around for dopey scripts that change HUDs on alertConditionChanged...

this.alertConditionChanged = function() // this.shipLaunchedFromStation = function()
	{
	player.ship.crosshairs = "crosshairs-selection-" + missionVariables.crosshairs_selection + ".plist";
	}

/* ====================================================================================
			COPYRIGHT NOTICE

	(C)2013, Wildeblood. All rights reserved. 
	Free to use, but DO NOT PROMULGATE MODIFIED VERSIONS.

This was created by some fellow with the user name "Wildeblood" on the Oolite forums, 
he'll tell you his real name if you bother to ask.
To use means to play with, modify or re-use in whole or in part, and to distribute freely.
To use DOES NOT imply to use for commercial gain, which would be a breach of copyright.
To promulgate means to make official announcements.
======================================================================================= */